> ## Documentation Index
> Fetch the complete documentation index at: https://docs.world.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Packed Account Data

> Returns the packed account data for a given authenticator address from the `WorldIDRegistry` contract.



## OpenAPI

````yaml https://indexer.us.id-infra.worldcoin.dev/openapi.json post /packed-account
openapi: 3.1.0
info:
  title: world-id-indexer
  description: ''
  license:
    name: MIT
    identifier: MIT
  version: 0.1.5
servers: []
security: []
tags:
  - name: indexer
    description: >-
      World ID Indexer. Provides Merkle inclusion proofs and account information
      from the on-chain registry.
paths:
  /packed-account:
    post:
      tags:
        - indexer
      summary: Get Packed Account Data
      description: >-
        Returns the packed account data for a given authenticator address from
        the `WorldIDRegistry` contract.
      operationId: handler
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndexerPackedAccountRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexerPackedAccountResponse'
        '400':
          description: Account does not exist for the given authenticator address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceApiError'
components:
  schemas:
    IndexerPackedAccountRequest:
      type: object
      description: Request to fetch a packed account index from the indexer.
      required:
        - authenticator_address
      properties:
        authenticator_address:
          type: string
          format: hex
          description: The authenticator address to look up
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
    IndexerPackedAccountResponse:
      type: object
      description: Response containing the packed account index from the indexer.
      required:
        - packed_account_data
      properties:
        packed_account_data:
          type: string
          format: hex
          description: >-
            The packed account data [32 bits recoveryCounter][32 bits
            pubkeyId][192 bits leafIndex].


            Serialized as a canonical `0x`-prefixed hex string.
          example: '0x1'
    ServiceApiError:
      type: object
      description: Error object returned by the services APIs (indexer, gateway).
      required:
        - code
        - message
      properties:
        code:
          $ref: 7080d3c5-cafc-4919-b932-c5fe578edb79
          description: The error code.
        message:
          type: string
          description: Human-readable error message.

````